%global module_name gitifyhg

Name:           gitifyhg
Version:        0.8.2
Release:        2%{?dist}
Summary:        Use git as a client for Mercurial repos
License:        GPLv3+
URL:            https://github.com/buchuki/gitifyhg
Source0:        http://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
# LICENSE.txt will be included in source tarballs from the next release:
# https://github.com/buchuki/gitifyhg/pull/90
Source1:        LICENSE.txt
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       git
Requires:       mercurial
Requires:       python-path

%description
This git remote allows you to do local development in a git repository and push 
changes to an upstream mercurial repository. It does this seamlessly and allows 
pushing and pulling to named branches in the upstream repository.

%prep
%setup -q
rm -r *.egg-info
cp -p %{SOURCE1} .

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst LICENSE.txt
%{_bindir}/git-remote-gitifyhg
%{python_sitelib}/%{module_name}
%{python_sitelib}/%{module_name}*.egg-info

%changelog
* Thu Jun 06 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.2-2
- fix missing license

* Fri May 31 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.2-1
- initial version
